cancel
Showing results for 
Search instead for 
Did you mean: 

Blender Discussions

Not applicable

Other versions of Linux

Hello! Tell me please if it will be possible to install the ProRender 2.3 plug-in blender on other versions of Linux ???? Installation file intended for Ubuntu only. I use manjaro((

0 Likes
7 Replies
arozghon
Challenger

Hello! could you send what type of error you get with installation in the terminal?

0 Likes

Hello! Posted below.

0 Likes

yes its a pyton error, even if it sais that its for ubuntu 18.xx i had similar issues with it installing it on ubuntu 18/19, pop OS, mostly debian based systems. at the moment i`m on kde neon and it seems to work fine, back when i was distro hopping some worked some didnt and there was nothing i could have done. My opinion is that its beccause of how the disto handdles pyton and on what version it comes with out of the box.

0 Likes

I like a fresh version of python 3.8.2-1. Interesting developers with these will do something? There are no sources for the git hub; there is nothing to fix manually? I honestly do not understand why so mock linux users. It may be easier to embed the Pro Render in a blender and distribute it as a separate version, as oktanRender does for example.

0 Likes
caretaker
Adept III

It can work on other versions also, depending on the pyton version and proper driers suport, open cl is a must for RPR and amdgpu-pro

0 Likes

Well. This is what the terminal issues at startup.

sh /home/control/Загрузки/RadeonProRenderForBlender_2.3.4.run /usr/bin
Verifying archive integrity... 100% All good.
Uncompressing Radeon ProRender for Blender 100%
Installing to /home/control/.local/share/rprblender
Retrieving Blender version
...done
Checking HW configuration version
checkCompatibility_hardware begin...
> GetSystemInfo_ begin...
+ 1 0000:26:00.0 vendor=1002 device=67df (Ellesmere [Radeon RX 470/480/570/570X/580/580X/590])
> GetSystemInfo_ : libOpenCL.so can be loaded
+ 1 GPU supports OpenCL 1.200000
> GetSystemInfo_: SUCCESS.
> GetSystemInfo_ end...
checkCompatibility_hardware end...
checkCompatibility_driver begin...
checkCompatibility_driver end...
BuildRegistrationLink begin...
Register link = https://feedback.amd.com/se/5A1E27D23E8EC664?registrationid=5A1E27D259A3291C&appname=blender&appversion=2.82__sub_7___375c7dc4caf4&frversion=0.1061895&os=Linux5.4.30-1-MANJARO&gfxcard=AMD_Radeon_RX_470/480/570/570X/580/580X/590&driverversion=
BuildRegistrationLink end...
...done
Checking os version
This product is built for Ubuntu 18.03 - you may encounter errors. Do you wish to continue?
(y or n)y^CError:
Traceback (most recent call last):
File "./install.py", line 139, in install_stage
yield
File "./install.py", line 224, in <module>
a = input(red + "(y or n)").lower()
KeyboardInterrupt

'Checking os version' failed!
Signal caught, cleaning up
[control@controlPC ~]$ sh /home/control/Загрузки/RadeonProRenderForBlender_2.3.4.run /usr/bin
Verifying archive integrity... 100% All good.
Uncompressing Radeon ProRender for Blender 100%
Installing to /home/control/.local/share/rprblender
Retrieving Blender version
...done
Checking HW configuration version
checkCompatibility_hardware begin...
> GetSystemInfo_ begin...
+ 1 0000:26:00.0 vendor=1002 device=67df (Ellesmere [Radeon RX 470/480/570/570X/580/580X/590])
> GetSystemInfo_ : libOpenCL.so can be loaded
+ 1 GPU supports OpenCL 1.200000
> GetSystemInfo_: SUCCESS.
> GetSystemInfo_ end...
checkCompatibility_hardware end...
checkCompatibility_driver begin...
checkCompatibility_driver end...
BuildRegistrationLink begin...
Register link = https://feedback.amd.com/se/5A1E27D23E8EC664?registrationid=5A1E27D259A3291C&appname=blender&appversion=2.82__sub_7___375c7dc4caf4&frversion=0.1061895&os=Linux5.4.30-1-MANJARO&gfxcard=AMD_Radeon_RX_470/480/570/570X/580/580X/590&driverversion=
BuildRegistrationLink end...
...done
Checking os version
This product is built for Ubuntu 18.03 - you may encounter errors. Do you wish to continue?
(y or n)y
...done
Installing Radeon ProRender for Blender ...
Radeon ProRender for Blender EULA
Do you accept the agreement? (y or n)y
Installing Dependencies ...
Error:
Traceback (most recent call last):
File "./install.py", line 127, in install_component
yield
File "./install.py", line 279, in <module>
install_package('libfreeimage3')
File "./install.py", line 267, in install_package
if package_is_installed(package_name):
File "./install.py", line 253, in package_is_installed
text = subprocess.check_output(cmd).decode('utf8')
File "/usr/lib/python3.8/subprocess.py", line 411, in check_output
return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
File "/usr/lib/python3.8/subprocess.py", line 489, in run
with Popen(*popenargs, **kwargs) as process:
File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
self._execute_child(args, executable, preexec_fn, close_fds,
File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'dpkg'

Installing 'Dependencies' failed!

0 Likes
caretaker
Adept III

after you downloaded the installer set it as an executable file in properties

then installing it using the terminal with sudo drag installer in here and then copy the file path were the blender executable is, just the folder file you double click to install, after you insert a space between the dragged installer and the file path.

Also if your blender doesnt recognize your open cl for cycles your wasting time becasue neither will RPR.

0 Likes